	//tidepod.cs

	//audio
	datablock AudioProfile(munchSound)
	{
	   filename    = "./munch.wav";
	   description = AudioClose3d;
	   preload = true;
	};

	datablock ParticleData(tidepodsweetParticle)
	{
	   dragCoefficient      = 5.0;
	   gravityCoefficient   = -0.2;
	   inheritedVelFactor   = 0.0;
	   constantAcceleration = 0.0;
	   lifetimeMS           = 1000;
	   lifetimeVarianceMS   = 500;
	   useInvAlpha          = false;
	   textureName          = "./sweet";
	   colors[0]     = "1.0 1.0 1.0 1";
	   colors[1]     = "1.0 1.0 1.0 1";
	   colors[2]     = "0.0 0.0 0.0 0";
	   sizes[0]      = 0.4;
	   sizes[1]      = 0.6;
	   sizes[2]      = 0.4;
	   times[0]      = 0.0;
	   times[1]      = 0.2;
	   times[2]      = 1.0;
	};

	datablock ParticleEmitterData(tidepodsweetEmitter)
	{
	   ejectionPeriodMS = 35;
	   periodVarianceMS = 0;
	   ejectionVelocity = 0.5;
	   ejectionOffset   = 1.0;
	   velocityVariance = 0.49;
	   thetaMin         = 0;
	   thetaMax         = 120;
	   phiReferenceVel  = 0;
	   phiVariance      = 360;
	   overrideAdvance = false;
	   particles = "tidepodsweetParticle";

	   uiName = "Emote - Sweet";
	};

	datablock ShapeBaseImageData(tidepodsweetImage)
	{
		shapeFile = "base/data/shapes/empty.dts";
		emap = false;

		mountPoint = $HeadSlot;

		stateName[0]					= "Ready";
		stateTransitionOnTimeout[0]		= "FireA";
		stateTimeoutValue[0]			= 0.01;

		stateName[1]					= "FireA";
		stateTransitionOnTimeout[1]		= "Done";
		stateWaitForTimeout[1]			= True;
		stateTimeoutValue[1]			= 0.350;
		stateEmitter[1]					= tidepodsweetEmitter;
		stateEmitterTime[1]				= 0.350;
		stateSound[1]					= munchSound;

		stateName[2]					= "Done";
		stateScript[2]					= "onDone";
	};
	function tidepodsweetImage::onDone(%this,%obj,%slot)
	{
		%obj.unMountImage(%slot);
	}

	datablock ItemData(tidepodItem)
	{
		category = "Weapon";  // Mission editor category
		className = "Weapon"; // For inventory system

		 // Basic Item Properties
		shapeFile = "./tidepod.dts";
		rotate = false;
		mass = 1;
		density = 0.2;
		elasticity = 0.2;
		friction = 0.6;
		emap = true;

		//gui stuff
		uiName = "Tide Pod";
		iconName = "./Icon_tidepod";
		doColorShift = false;

		 // Dynamic properties defined by the scripts
		image = tidepodImage;
		canDrop = true;
	};

	datablock ShapeBaseImageData(tidepodImage)
	{
	   // Basic Item properties
	   shapeFile = "./tidepod.dts";
	   emap = true;

	   // Specify mount point & offset for 3rd person, and eye offset
	   // for first person rendering.
	   mountPoint = 0;
	   offset = "-.05 0 0";
	   eyeOffset = 0; //"0.7 1.2 -0.5";
	   rotation = eulerToMatrix( "-90 90 0" );

	   className = "WeaponImage";
	   item = tidepodItem;

	   //raise your arm up or not
	   armReady = true;

	   doColorShift = false;

	   // Initial start up state
		stateName[0]                     = "Ready";
		stateTransitionOnTriggerDown[0]  = "Fire";
		stateAllowImageChange[0]         = true;

		stateName[1]                     = "Fire";
		stateTransitionOnTimeout[1]      = "Ready";
		stateAllowImageChange[1]         = true;
		  stateScript[1]                   = "onFire";
		stateTimeoutValue[1]		   = 1;
		stateSound[1]					= munchSound;
	};

	function tidepodImage::onFire(%this,%obj,%slot)
	{
		for(%i=0;%i<5;%i++)
		{
			%toolDB = %obj.tool[%i];
			if(%toolDB $= %this.item.getID())
			{
				%obj.addhealth(30);
				%obj.emote(tidepodsweetImage);
				%obj.tool[%i] = 0;
				%obj.weaponCount--;
				cancel(%obj.tidePoison);
				%obj.tidePoison = %obj.schedule(5000,tidepoisoning);
				messageClient(%obj.client,'MsgItemPickup','',%i,0);
				serverCmdUnUseTool(%obj.client);
				break;
			}
		}
	}
	
	function Player::tidePoisoning(%obj)
	{
		cancel(%obj.tidePoison);
		%obj.addHealth(-15);
		%obj.tidePoison = %obj.schedule(3000,tidePoisoning);
	}